Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger
Class ActionsProvider

    java.lang.Object
      org.netbeans.spi.debugger.ActionsProvider

Direct Known Subclasses:
  ActionsProviderSupport

    public abstract class ActionsProvider

extends Object

Represents implementation of one or more actions.

Constructor Summary
`ActionsProvider()`

Method Summary
`abstract void` | `addActionsProviderListener(ActionsProviderListener l)` Adds property change listener.
`abstract void` | `doAction(Object action)` Called when the action is called (action button is pressed).
`abstract Set` | `getActions()` Returns set of actions supported by this ActionsProvider.
`abstract boolean` | `isEnabled(Object action)` Should return a state of given action.
`void` | `postAction(Object action, Runnable actionPerformedNotifier)` Post the action and let it process asynchronously.
`abstract void` | `removeActionsProviderListener(ActionsProviderListener l)` Removes property change listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionsProvider

    public ActionsProvider()

Method Detail

### getActions

    public abstract Set getActions()

  Returns set of actions supported by this ActionsProvider.

  Returns:
    set of actions supported by this ActionsProvider

### doAction

    public abstract void doAction(Object action)

  Called when the action is called (action button is pressed).

  Parameters:
    `action` - an action which has been called

### isEnabled

    public abstract boolean isEnabled(Object action)

  Should return a state of given action.

  Parameters:
    `action` - action

### addActionsProviderListener

    public abstract void addActionsProviderListener(ActionsProviderListener l)

  Adds property change listener.

  Parameters:
    `l` - new listener.

### removeActionsProviderListener

    public abstract void removeActionsProviderListener(ActionsProviderListener l)

  Removes property change listener.

  Parameters:
    `l` - removed listener.

### postAction

    public void postAction(Object action,
                           Runnable actionPerformedNotifier)

  Post the action and let it process asynchronously. The default implementation just delegates to `doAction(java.lang.Object)` in a separate thread and returns immediately.

  Parameters:
    `action` - The action to post
    `actionPerformedNotifier` - run this notifier after the action is done.
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.